import sys
import time
import signal
import distutils.util
sys.path.append('build/lib.%s-%s' % (
    distutils.util.get_platform(), sys.version[0:3] ) )
import itimer

s = None

def catcher(n, f):
    global s
    print('Alarmed in %.4f' % (time.time() - s))
    s = time.time()

if __name__ == '__main__':
    signal.signal(signal.SIGALRM,catcher)
    s = time.time()
    print('Setting alarm for 0.3 seconds with repeat every 0.5 seconds')
    itimer.setitimer(itimer.ITIMER_REAL, 0.3, 0.5)
    time.sleep(1)
    time.sleep(1)
    print('Next alarm in %.2f seconds, repeat every %.2f seconds' %
        itimer.getitimer(itimer.ITIMER_REAL))
    time.sleep(1)
    print('At cancel, alarm in %.2f seconds, repeating in %.2f seconds' % 
        itimer.setitimer(itimer.ITIMER_REAL,0))
    print('Next alarm in %.2f seconds, repeat every %.2f seconds' % 
        itimer.getitimer(itimer.ITIMER_REAL))
